{ inputs, lib, stateVersion, username, hostname, ... }:
{
  imports = [
    inputs.sops-nix.homeManagerModules.sops
    ../hosts/${hostname}/home-config.nix
    ../nixos/includes/system/overlay.nix
    ../modules/home-manager/default.nix
  ] ++ lib.optional (
    builtins.pathExists ../hosts/${hostname}/includes/home-manager.nix
  ) ../hosts/${hostname}/includes/home-manager.nix;

  nixpkgs.config.allowUnfree = true;
  programs.home-manager.enable = true;
  fonts.fontconfig.enable = true;
  
  home = {
    inherit stateVersion username;
    homeDirectory = "/home/${username}";
    sessionPath = [
      "$HOME/.local/bin"
    ];
  };
}
